# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/null/ats/v2/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#-*-Mode:make;coding:utf-8;tab-width:4;c-basic-offset:4-*-
# ex: set ft=make fenc=utf-8 sts=4 ts=4 sw=4 noet nomod:


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cloudi
pkgincludedir = $(includedir)/cloudi
pkglibdir = $(libdir)/cloudi
pkglibexecdir = $(libexecdir)/cloudi
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
inst_PROGRAMS = null_ats2$(EXEEXT)
subdir = tests/null/ats/v2
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_backtrace.m4 \
	$(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_boost_check_header.m4 \
	$(top_srcdir)/m4/ax_boost_system.m4 \
	$(top_srcdir)/m4/ax_boost_thread.m4 \
	$(top_srcdir)/m4/ax_boost_version.m4 \
	$(top_srcdir)/m4/ax_cabal_version.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_header_macro.m4 \
	$(top_srcdir)/m4/ax_check_private_header.m4 \
	$(top_srcdir)/m4/ax_check_private_lib.m4 \
	$(top_srcdir)/m4/ax_check_rqrd_class.m4 \
	$(top_srcdir)/m4/ax_clock_gettime.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_compiler_version.m4 \
	$(top_srcdir)/m4/ax_cxx_check_header.m4 \
	$(top_srcdir)/m4/ax_cxx_exceptions.m4 \
	$(top_srcdir)/m4/ax_erlang_otp_version.m4 \
	$(top_srcdir)/m4/ax_gmp.m4 \
	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
	$(top_srcdir)/m4/ax_prog_go_version.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_prog_python_version.m4 \
	$(top_srcdir)/m4/ax_prog_ruby_version.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/ax_python_c.m4 \
	$(top_srcdir)/m4/ax_recursive_eval.m4 \
	$(top_srcdir)/m4/ax_syscall_lock.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(instdir)"
PROGRAMS = $(inst_PROGRAMS)
am_null_ats2_OBJECTS = null_ats2-main_dats.$(OBJEXT)
null_ats2_OBJECTS = $(am_null_ats2_OBJECTS)
am__DEPENDENCIES_1 =
null_ats2_DEPENDENCIES = $(top_builddir)/api/ats/v2/libcloudi_ats2.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
null_ats2_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(null_ats2_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp =
am__maybe_remake_depfiles =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(null_ats2_SOURCES)
DIST_SOURCES = $(null_ats2_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/george/cloudi-2.0.4/src/config/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
ATS2CC = 
ATS2OPT = 
ATS2_CFLAGS = 
ATS2_LDFLAGS = 
ATS2_LIB = 
AUTOCONF = ${SHELL} /home/george/cloudi-2.0.4/src/config/missing autoconf
AUTOHEADER = ${SHELL} /home/george/cloudi-2.0.4/src/config/missing autoheader
AUTOMAKE = ${SHELL} /home/george/cloudi-2.0.4/src/config/missing automake-1.16
AWK = gawk
BACKTRACE_CPPFLAGS = -I$(top_srcdir)/external/backward-cpp/
BACKTRACE_LDFLAGS =    
BACKTRACE_LIB = -ldwarf -lelf -ldl -lunwind
BFD_LDFLAGS = 
BFD_LIB = -lbfd
BFD_PATH = 
BOOST_CPPFLAGS = -pthread -I/usr/include
BOOST_EXCEPTION_ALL_HPP_CFLAGS = 
BOOST_EXCEPTION_ALL_HPP_PATH = 
BOOST_LDFLAGS = -L/usr/lib/x86_64-linux-gnu
BOOST_PREPROCESSOR_HPP_CFLAGS = 
BOOST_PREPROCESSOR_HPP_PATH = 
BOOST_SYSTEM_LIB = -lboost_system
BOOST_THREAD_LIB = -lboost_thread -lpthread
BOOST_UNORDERED_MAP_HPP_CFLAGS = 
BOOST_UNORDERED_MAP_HPP_PATH = 
BUILD_KERNEL_VERSION = Linux 5.4.0-90-generic #101-Ubuntu SMP Fri Oct 15 20:00:55 UTC 2021
BUILD_MACHINE = x86_64
BUILD_OPERATING_SYSTEM = GNU/Linux
BUILD_REPOSITORY_VERSION = 2.0.4
BUILD_TIME = Sun Dec  5 01:17:59 PST 2021
CABAL = 
CABAL_SANDBOX = 
CABAL_VERSION = 
CABAL_VERSION_MAJOR = 
CC = gcc
CFLAGS = -g -O2
CLOUDI_ARG_NODE_COOKIE = -setcookie cloudi
CLOUDI_ARG_NODE_NAME = -sname cloudi
CLOUDI_ARG_NODE_NAME_LONG = 
CLOUDI_ARG_NODE_NAME_SHORT = 
CLOUDI_CONF = cloudi_minimal.conf
CLOUDI_CORE_RELEASE_OPTIONS = ,[{load_dot_erlang,false}]
CLOUDI_CORE_RELEASE_VERSION = 1
CLOUDI_LONG_TEST_TIMEOUT = 0
CLOUDI_NODE_ARGS = default.args
CLOUDI_NODE_NAME = cloudi
CLOUDI_PID_FILE = 
CLOUDI_TEST_TIMEOUT = 10
CLOUDI_TEST_VMARGS = 
CLOUDI_UMASK = 
CLOUDI_UUID_V1_VARIANT = rfc4122
CONFIG_TESTS_ATS2_COUNT = 
CONFIG_TESTS_ATS2_HTTP_REQ = 
CONFIG_TESTS_ATS2_MESSAGING = 
CONFIG_TESTS_ATS2_MSG_SIZE = 
CONFIG_TESTS_ATS2_NULL = 
CONFIG_TESTS_GO_COUNT = 
CONFIG_TESTS_GO_HTTP_REQ = 
CONFIG_TESTS_GO_MESSAGING = 
CONFIG_TESTS_GO_MSG_SIZE = 
CONFIG_TESTS_GO_NULL = 
CONFIG_TESTS_HASKELL_COUNT = 
CONFIG_TESTS_HASKELL_HTTP_REQ = 
CONFIG_TESTS_HASKELL_MESSAGING = 
CONFIG_TESTS_HASKELL_MSG_SIZE = 
CONFIG_TESTS_HASKELL_NULL = 
CONFIG_TESTS_OCAML_COUNT = 
CONFIG_TESTS_OCAML_HTTP_REQ = 
CONFIG_TESTS_OCAML_MESSAGING = 
CONFIG_TESTS_OCAML_MSG_SIZE = 
CONFIG_TESTS_OCAML_NULL = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXFLAGS = -g -O2
CXX_COMPILER_VENDOR_VERSION = gnu 9.3.0
CXX_DEPENDENCIES_VERSIONS = boost_1_71
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DIALYZER = /home/george/installed/bin/dialyzer
DLLTOOL = false
DL_LDFLAGS = 
DL_LIB = -ldl
DL_PATH = 
DSYMUTIL = 
DUMPBIN = 
DWARF_LDFLAGS = 
DWARF_LIB = -ldwarf
DWARF_PATH = 
DW_LDFLAGS = 
DW_LIB = 
DW_PATH = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ELF_LDFLAGS = 
ELF_LIB = -lelf
ELF_PATH = 
ERL = /home/george/installed/bin/erl
ERLANG_ERTS_VER = 11.2.2.8
ERLANG_LIB_DIR = /home/george/installed/lib/erlang/lib
ERLANG_LIB_DIR_erl_interface = /home/george/installed/lib/erlang/lib/erl_interface-4.0.3.1
ERLANG_LIB_DIR_eunit = /home/george/installed/lib/erlang/lib/eunit-2.6
ERLANG_LIB_DIR_snmp = /home/george/installed/lib/erlang/lib/snmp-5.8.0.1
ERLANG_LIB_DIR_ssl = /home/george/installed/lib/erlang/lib/ssl-10.3.1.2
ERLANG_LIB_VER_erl_interface = 4.0.3.1
ERLANG_LIB_VER_eunit = 2.6
ERLANG_LIB_VER_snmp = 5.8.0.1
ERLANG_LIB_VER_ssl = 10.3.1.2
ERLANG_OTP_VER = 23.3.4.9
ERLANG_OTP_VER_MAJOR = 23
ERLANG_OTP_VER_MAJOR_MINOR = 23_3
ERLANG_OTP_VER_MINOR = 3
ERLANG_OTP_VER_PATCH = 4
ERLANG_OTP_VER_RELEASE_CANDIDATE = 
ERLANG_ROOT_DIR = /home/george/installed/lib/erlang
ERLC = /home/george/installed/bin/erlc
ERLCFLAGS = 
ERLC_OPTS = -DERLANG_OTP_VERSION_23 -I /home/george/cloudi-2.0.4/src/lib +debug_info +strict_validation +warn_bif_clash +warn_deprecated_function +warn_export_all +warn_export_vars +warn_exported_vars +warn_obsolete_guard +warn_shadow_vars +warn_unused_import +warn_unused_function +warn_unused_record +warn_unused_vars +deterministic
ERL_ARGS_FILE_PARSE = exact
ERL_OPTS = 
ESCRIPT = /home/george/installed/bin/escript
EXECINFO_LDFLAGS = 
EXECINFO_LIB = 
EXECINFO_PATH = 
EXEEXT = 
FGREP = /bin/grep -F
GHC = /home/george/installed/ghc-8.10.1/bin/ghc
GHC_PKG = /home/george/installed/ghc-8.10.1/bin/ghc-pkg
GMP_H_CFLAGS = 
GMP_H_PATH = 
GMP_LDFLAGS = 
GMP_LIB = -lgmp
GMP_PATH = 
GO = 
GO_VERSION = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = /usr/bin/jar
JAVA = /usr/bin/java
JAVAC = /usr/bin/javac
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBM = -lm
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/george/cloudi-2.0.4/src/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NODE = /usr/bin/nodejs
OBJDUMP = objdump
OBJEXT = o
OCAMLC = /home/george/installed/ocaml-4.13.1/bin/ocamlc
OCAMLDEP = /home/george/installed/ocaml-4.13.1/bin/ocamldep
OCAMLFLAGS = 
OCAMLMKLIB = /home/george/installed/ocaml-4.13.1/bin/ocamlmklib
OCAMLOPT = /home/george/installed/ocaml-4.13.1/bin/ocamlopt
OTOOL = 
OTOOL64 = 
PACKAGE = cloudi
PACKAGE_BUGREPORT = mjtruog at protonmail dot com
PACKAGE_NAME = CloudI
PACKAGE_STRING = CloudI 2.0.4
PACKAGE_TARNAME = cloudi
PACKAGE_URL = https://cloudi.org/
PACKAGE_VERSION = 2.0.4
PATH_SEPARATOR = :
PATSHOME = 
PERL = /usr/bin/perl
PHP = /usr/bin/php
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_CXX = g++
PTHREAD_LIBS = -lpthread
PYLINT = /usr/bin/pylint
PYTHON = /home/george/.pyenv/shims/python3
PYTHON_CFLAGS = -I/usr/include/python3.8 -I/usr/include/python3.8  -Wno-unused-result -Wsign-compare -g -fdebug-prefix-map=/build/python3.8-YxOiQL/python3.8-3.8.10=. -specs=/usr/share/dpkg/no-pie-compile.specs -fstack-protector -Wformat -Werror=format-security  -DNDEBUG -g -fwrapv -O3 -Wall
PYTHON_CONFIG = /home/george/.pyenv/shims/python3-config
PYTHON_LDFLAGS = -L/usr/lib/python3.8/config-3.8-x86_64-linux-gnu -L/usr/lib  -lcrypt -lpthread -ldl  -lutil -lm -lm 
PYTHON_VERSION = 3.9.5
RANLIB = ranlib
REBAR = /home/george/cloudi-2.0.4/src/rebar
REBAR_ARGS = --verbose 3
RT_LIB = -lrt
RUBY = /home/george/.rbenv/shims/ruby
RUBY_VERSION = ruby 2.7.1p83 (2020-03-31 revision a0c7c23c9c) [x86_64-linux]
SECCOMP_LDFLAGS = 
SECCOMP_LIB = -lseccomp
SECCOMP_PATH = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSCALL_LOCK_LDFLAGS = 
SYSCALL_LOCK_LIB = -lseccomp
SYSCALL_LOCK_TYPE = function
UNWIND_LDFLAGS = 
UNWIND_LIB = -lunwind
UNWIND_PATH = 
VERSION = 2.0.4
abs_builddir = /home/george/cloudi-2.0.4/src/tests/null/ats/v2
abs_srcdir = /home/george/cloudi-2.0.4/src/tests/null/ats/v2
abs_top_builddir = /home/george/cloudi-2.0.4/src
abs_top_srcdir = /home/george/cloudi-2.0.4/src
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
cloudi_bindir = /usr/local/lib/cloudi-2.0.4/bin
cloudi_confdir = /usr/local/etc/cloudi
cloudi_logdir = /usr/local/var/log/cloudi
cloudi_prefix = /usr/local/lib/cloudi-2.0.4
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/george/cloudi-2.0.4/src/config/install-sh
javadir = ${prefix}/share/java
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../../../../
top_builddir = ../../../..
top_srcdir = ../../../..
instdir = "$(cloudi_prefix)/tests/null"
CLEANFILES = main_dats.c
null_ats2_SOURCES = main_dats.c
null_ats2_CFLAGS = $(ATS2_CFLAGS) $(PTHREAD_CFLAGS)
null_ats2_LDADD = $(top_builddir)/api/ats/v2/libcloudi_ats2.la \
                  $(PTHREAD_LIBS) -lstdc++

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps tests/null/ats/v2/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign --ignore-deps tests/null/ats/v2/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-instPROGRAMS: $(inst_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(inst_PROGRAMS)'; test -n "$(instdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(instdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(instdir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(instdir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(instdir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-instPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(inst_PROGRAMS)'; test -n "$(instdir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(instdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(instdir)" && rm -f $$files

clean-instPROGRAMS:
	@list='$(inst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

null_ats2$(EXEEXT): $(null_ats2_OBJECTS) $(null_ats2_DEPENDENCIES) $(EXTRA_null_ats2_DEPENDENCIES) 
	@rm -f null_ats2$(EXEEXT)
	$(AM_V_CCLD)$(null_ats2_LINK) $(null_ats2_OBJECTS) $(null_ats2_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(AM_V_CC)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<

null_ats2-main_dats.o: main_dats.c
	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(null_ats2_CFLAGS) $(CFLAGS) -c -o null_ats2-main_dats.o `test -f 'main_dats.c' || echo '$(srcdir)/'`main_dats.c

null_ats2-main_dats.obj: main_dats.c
	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(null_ats2_CFLAGS) $(CFLAGS) -c -o null_ats2-main_dats.obj `if test -f 'main_dats.c'; then $(CYGPATH_W) 'main_dats.c'; else $(CYGPATH_W) '$(srcdir)/main_dats.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(instdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-instPROGRAMS clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-instPROGRAMS

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-instPROGRAMS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
	clean-instPROGRAMS clean-libtool cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-instPROGRAMS install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-instPROGRAMS

.PRECIOUS: Makefile


%_dats.c: %.dats
	PATSHOME=$(PATSHOME) $(ATS2CC) $(ATS2CFLAGS) \
                         -IIATS $(top_srcdir)/api/ats/v2/ -ccats $<

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
